utl::meta::detail::is_applicable_i_< T, F, Is > Struct Template Reference

`#include <invoke.h>`

## Public Types

using | type = decltype(check< T, F >(0))

## Static Public Member Functions

template<typename TT , template< TT... > class G, typename = G<Is...>>
static true_ | check (int)
template<typename TT , template< TT... > class G>
static false_ | check (...)

## Detailed Description

### template<typename T, template< T... > class F, T... Is>
struct utl::meta::detail::is_applicable_i_< T, F, Is >

Definition at line 149 of file invoke.h.

## Member Typedef Documentation

## type

template<typename T , template< T... > class F, T... Is>

using utl::meta::detail::is_applicable_i_< T, F, Is >::type = decltype(check<T, F>(0))

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 155 of file invoke.h.

## Member Function Documentation

## check() [1/2]

template<typename T , template< T... > class F, T... Is>
template<typename TT , template< TT... > class G, typename = G<Is...>>

static true_ utl::meta::detail::is_applicable_i_< T, F, Is >::check | ( | int |  | ) |

static

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

## check() [2/2]

template<typename T , template< T... > class F, T... Is>
template<typename TT , template< TT... > class G>

static false_ utl::meta::detail::is_applicable_i_< T, F, Is >::check | ( |  | ... | ) |

static

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h